# Billing

## Get current billing cycle usage

> Get current billing cycle usage for Email Sandbox and Email Sending (Email API/SMTP).

```json
{"openapi":"3.1.0","info":{"title":"Account Management","version":"2.0.0"},"tags":[{"name":"Billing"}],"servers":[{"description":"Mailtrap API","url":"https://mailtrap.io"}],"security":[{"HeaderAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"HeaderAuth":{"type":"apiKey","description":"Pass the API token in the Api-Token","in":"header","name":"Api-Token"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"responses":{"UNAUTHENTICATED":{"description":"Returns unauthorized error message. Check your credentials.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthenticatedResponse"}}}},"PERMISSION_DENIED":{"description":"Returns forbidden error message. Check your permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionsDeniedResponse"}}}}},"schemas":{"UnauthenticatedResponse":{"title":"UnauthenticatedResponse","type":"object","properties":{"error":{"type":"string","description":"Error message"}}},"PermissionsDeniedResponse":{"title":"PermissionsDeniedResponse","type":"object","properties":{"errors":{"type":"string","description":"Error message"}}}}},"paths":{"/api/accounts/{account_id}/billing/usage":{"get":{"operationId":"getAccountBillingUsage","summary":"Get current billing cycle usage","description":"Get current billing cycle usage for Email Sandbox and Email Sending (Email API/SMTP).","tags":["Billing"],"responses":{"200":{"description":"Returns an object with current billing cycle usage for Sandbox and Email Sending (Email API/SMTP) if available.","content":{"application/json":{"schema":{"type":"object","properties":{"billing":{"type":"object","properties":{"cycle_start":{"type":"string","format":"date-time"},"cycle_end":{"type":"string","format":"date-time"}}},"testing":{"type":"object","properties":{"plan":{"type":"object","properties":{"name":{"type":"string"}}},"usage":{"type":"object","properties":{"sent_messages_count":{"type":"object","properties":{"current":{"type":"integer"},"limit":{"type":"integer"}}},"forwarded_messages_count":{"type":"object","properties":{"current":{"type":"integer"},"limit":{"type":"integer"}}}}}}},"sending":{"type":"object","properties":{"plan":{"type":"object","properties":{"name":{"type":"string"}}},"usage":{"type":"object","properties":{"sent_messages_count":{"type":"object","properties":{"current":{"type":"integer"},"limit":{"type":"integer"}}}}}}}}}}}},"401":{"$ref":"#/components/responses/UNAUTHENTICATED"},"403":{"$ref":"#/components/responses/PERMISSION_DENIED"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mailtrap.io/developers/account-management/billing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
